'use strict';
define(function() {
  var ChoixProgrammeDirective = function($compile, $scope) {
    return {
      templateUrl:
        'js/XG/biz/yamoussoukro/widgets/choixprogramme/view/ChoixProgramme.html',
      scope: false,
      restrict: 'A',
      controller: 'ChoixProgrammeCtrl',
      link: function($scope, elm, attrs) {
        $scope.compile = $compile;
        $scope.myConfig = attrs['myConfig'];
      },
    };
  };

  ChoixProgrammeDirective.$inject = ['$compile'];
  return ChoixProgrammeDirective;
});
